# IRdMorphList Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | AddMorphCombination ([in] RtDWORD id,[in] IRdMorphListEntry *pEntry,[out, retval] RtDWORD *pIndex)
HRESULT | GetCombinationsCount ([out, retval] RtDWORD *pCount)
HRESULT | GetCombination ([in] RtDWORD index,[out, retval] IRdMorphListEntry **ppEntry)
HRESULT | GetCombinationId ([in] RtDWORD index,[out, retval] RtDWORD *pId)
HRESULT | GetCombinationIndex ([in] RtDWORD id,[out, retval] RtDWORD *pIndex)
HRESULT | RemoveMorphCombination ([in] RtDWORD id)

## Detailed Description

Stores morph weight combinations addressed by numeric id.
Used in conjunction with RdWeightBlend.
Each morph combination is of type RdMorphListEntry and holds weights of morphs for specified dot.

## Member Function Documentation

HRESULT IRdMorphList::AddMorphCombination | ( | [in] RtDWORD | id,
|  | [in] IRdMorphListEntry * | pEntry,
|  | [out, retval] RtDWORD * | pIndex |
| ) |  |  |

Adds new morph combination.

Parameters:

  `[in]` | id | ID of morph combination.
  `[in]` | pEntry | Morph combination to add.

Returns:
  [out, retval] pIndex Index of the specified morph combo.

HRESULT IRdMorphList::GetCombinationsCount | ( | [out, retval] RtDWORD * | pCount | ) |

Gets number of existing morph combinations.

Returns:
  [out,retval] pCount Number of existing combinations.

HRESULT IRdMorphList::GetCombination | ( | [in] RtDWORD | index,
|  | [out, retval] IRdMorphListEntry ** | ppEntry |
| ) |  |  |

Gets the combination on specified index.

Parameters:

  `[in]` | index | Index of combination.

Returns:
  [out,retval] ppEntry Combination at specified index.

HRESULT IRdMorphList::GetCombinationId | ( | [in] RtDWORD | index,
|  | [out, retval] RtDWORD * | pId |
| ) |  |  |

Gets the ID of combination at specified index.

Parameters:

  `[in]` | index | Index of combination.

Returns:
  [out,retval] pId ID of combination.

HRESULT IRdMorphList::GetCombinationIndex | ( | [in] RtDWORD | id,
|  | [out, retval] RtDWORD * | pIndex |
| ) |  |  |

Returns the index of combination with specified ID.

Parameters:

  `[in]` | id | ID of combination.

Returns:
  [out, retval] pIndex Index of combination.

HRESULT IRdMorphList::RemoveMorphCombination | ( | [in] RtDWORD | id | ) |

Removes combination with specified ID.

Parameters:

  `[in]` | id | ID of combination.